### Type parameters

- #### A1

- #### A2

- #### R

### Hierarchy

- SpyFunc2<A1, A2, R>
- Resetable
  - SpyFunc2Proxy

### Callable

- __call(a: A1, b: A2): R

- - Defined in node_modules/@types/chai-spies/index.d.ts:458

  #### Parameters

  - ##### a: A1

  - ##### b: A2

  #### Returns R

## Index

### Methods

- reset

## Methods

### reset

- reset(): this

- Inherited from Resetable.reset

  - Defined in node_modules/@types/chai-spies/index.d.ts:447

  #### proxy.reset (function)

  Resets __spy object parameters for instantiation and reuse

  #### Returns this

  proxy spy object

Generated using TypeDoc